Enrollments
List enrollments
GET
https://dashboard.perkstar.co.uk/api/v1
/
enrollments
List enrollments
curl --request GET \
--url https://dashboard.perkstar.co.uk/api/v1/enrollments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.perkstar.co.uk/api/v1/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.perkstar.co.uk/api/v1/enrollments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.perkstar.co.uk/api/v1/enrollments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"has_more": true,
"next_cursor": "<string>",
"limit": 123,
"data": [
{
"id": "<string>",
"customer_id": "<string>",
"card_id": "<string>",
"status": "ACTIVE",
"balance": 123,
"redemptions_count": 123,
"cumulative_spend_pence": 123,
"bonus_points_balance": 123,
"enrolled_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"wallet_passes": {
"apple": "<string>",
"google": "<string>"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque cursor returned in next_cursor.
Required range:
1 <= x <= 200Available options:
ACTIVE, INACTIVE, REVOKED Was this page helpful?
⌘I
List enrollments

